extends Area2D

var credits = preload("res://credits/GodotCredits.tscn")

signal playerExit

func _on_body_entered(body: Node2D) -> void:
	if body.name == "player":
		emit_signal("playerExit")
		await get_tree().create_timer(2).timeout
		get_tree().change_scene_to_packed(credits)
